org.eclipse.actf.visualization.eval

## Class CheckTargetFactory

- java.lang.Object
- - org.eclipse.actf.visualization.eval.CheckTargetFactory

    public class CheckTargetFactory
    extends Object

Factory class for `ICheckTarget`

### Constructor Summary

Constructors
Constructor and Description
`CheckTargetFactory()`

### Method Summary

Methods
`static ICheckTarget` `createCheckTarget(Document target, String targetUrl)` Constructor of `ICheckTarget`
`static IHtmlCheckTarget` `createHtmlCheckTarget(Document target, String targetUrl, IWebBrowserStyleInfo browserStyleInfo, HtmlEvalUtil htmlEvalUtil)` Constructor of `IHtmlCheckTarget`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckTargetFactory

    public CheckTargetFactory()

### Method Detail

#### createCheckTarget

    public static ICheckTarget createCheckTarget(Document target,
                                 String targetUrl)

Constructor of `ICheckTarget`

Parameters:
  `target` - evaluation target `Document`
  `targetUrl` - target URL

#### createHtmlCheckTarget

    public static IHtmlCheckTarget createHtmlCheckTarget(Document target,
                                         String targetUrl,
                                         IWebBrowserStyleInfo browserStyleInfo,
                                         HtmlEvalUtil htmlEvalUtil)

Constructor of `IHtmlCheckTarget`

Parameters:
  `target` - target `Document`
  `targetUrl` - target URL
  `browserStyleInfo` - current style information
  `htmlEvalUtil` - target `HtmlEvalUtil`